//
//	Copyright © 2005 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

namespace VWFC
{
#define			STATIC_STRING_SIZE		256

	namespace Tools
	{
		typedef	std::vector<TXString>						TXStringSTLArray;
		// --------------------------------------------------------------------------------------------------
		class TXStringExt
		{
		// utils
		public:
			static void		Tokenize(const TXString& string, TXStringSTLArray& outArray, const char* szTokens, size_t tokensLen);
			static bool		IsSpace(char c);
			static bool		IsDigit(char c);
			static bool		IsDigit(const TXString& string);
			static bool		IsAlpha(char c);
			static bool		IsDigitOrAlpha(char c);
			static char		ToLower(char c);
			static char		ToUpper(char c);
			static char		ToReverseCase(char c);
		};
	}
}